#!/usr/bin/env python3

'''Decrypt 'needsdata' POST value.'''

import base64
import gzip
import sys

def main():
    buf = base64.decodebytes(sys.stdin.buffer.read())
    if len(buf) >= 2:
        buf = b'\x1f\x8b' + buf[2:]
    sys.stdout.buffer.write(gzip.decompress(buf))

if __name__ == '__main__':
    main()
