#!/usr/bin/env python3

'''Decrypt Baidu etag fields included in many requests.'''

import sys

from Crypto.Cipher import ARC4

import urlescapebase64

def main():
    cipher = ARC4.new('HR2ER')
    b64 = sys.stdin.read()
    crypto = urlescapebase64.decode(b64)
    plain = cipher.decrypt(crypto)
    sys.stdout.buffer.write(plain)

if __name__ == '__main__':
    main()
